Makefile.in 13 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426
  1. # Makefile.in generated by automake 1.7 from Makefile.am.
  2. # @configure_input@
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #----------------------------------------------------------------
  14. #
  15. # Makefile.am
  16. #
  17. # Automake source file for Boundary Element MMTL (bem).
  18. # This file, along with aclocal, configure.ac autoconf,
  19. # and automake can produce a highly functional configuration
  20. # script and Makefile.
  21. #
  22. # Sharon Zahn, Bob Techentin
  23. # October 3, 2002
  24. #
  25. # Copyright 2002 (C) Mayo Foundation. All Rights Reserved
  26. #
  27. #----------------------------------------------------------------
  28. srcdir = @srcdir@
  29. top_srcdir = @top_srcdir@
  30. VPATH = @srcdir@
  31. pkgdatadir = $(datadir)/@PACKAGE@
  32. pkgincludedir = $(includedir)/@PACKAGE@
  33. top_builddir = .
  34. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  35. INSTALL = @INSTALL@
  36. install_sh_DATA = $(install_sh) -c -m 644
  37. install_sh_PROGRAM = $(install_sh) -c
  38. install_sh_SCRIPT = $(install_sh) -c
  39. INSTALL_HEADER = $(INSTALL_DATA)
  40. transform = $(program_transform_name)
  41. NORMAL_INSTALL = :
  42. PRE_INSTALL = :
  43. POST_INSTALL = :
  44. NORMAL_UNINSTALL = :
  45. PRE_UNINSTALL = :
  46. POST_UNINSTALL = :
  47. #---------------------------------------------------------------
  48. # Define an installation directory that includes
  49. # the version number (from AC_INIT) like "bltmath1.0"
  50. #---------------------------------------------------------------
  51. pkglibdir = $(libdir)/$(PACKAGE)$(PACKAGE_VERSION)
  52. ACLOCAL = @ACLOCAL@
  53. AMTAR = @AMTAR@
  54. AUTOCONF = @AUTOCONF@
  55. AUTOHEADER = @AUTOHEADER@
  56. AUTOMAKE = @AUTOMAKE@
  57. AWK = @AWK@
  58. CYGPATH_W = @CYGPATH_W@
  59. DEFS = @DEFS@
  60. ECHO_C = @ECHO_C@
  61. ECHO_N = @ECHO_N@
  62. ECHO_T = @ECHO_T@
  63. INSTALL_DATA = @INSTALL_DATA@
  64. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  65. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  66. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  67. LIBS = @LIBS@
  68. LTLIBOBJS = @LTLIBOBJS@
  69. MAKEINFO = @MAKEINFO@
  70. PACKAGE = @PACKAGE@
  71. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  72. PACKAGE_NAME = @PACKAGE_NAME@
  73. PACKAGE_STRING = @PACKAGE_STRING@
  74. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  75. PACKAGE_VERSION = @PACKAGE_VERSION@
  76. PATH_SEPARATOR = @PATH_SEPARATOR@
  77. SET_MAKE = @SET_MAKE@
  78. SHELL = @SHELL@
  79. STRIP = @STRIP@
  80. VERSION = @VERSION@
  81. ac_ct_STRIP = @ac_ct_STRIP@
  82. bindir = @bindir@
  83. build_alias = @build_alias@
  84. datadir = @datadir@
  85. exec_prefix = @exec_prefix@
  86. host_alias = @host_alias@
  87. includedir = @includedir@
  88. infodir = @infodir@
  89. install_sh = @install_sh@
  90. libdir = @libdir@
  91. libexecdir = @libexecdir@
  92. localstatedir = @localstatedir@
  93. mandir = @mandir@
  94. oldincludedir = @oldincludedir@
  95. prefix = @prefix@
  96. program_transform_name = @program_transform_name@
  97. sbindir = @sbindir@
  98. sharedstatedir = @sharedstatedir@
  99. sysconfdir = @sysconfdir@
  100. target_alias = @target_alias@
  101. #----------------------------------------------------------------
  102. # Just for the record, this isn't a GNU project, and
  103. # doesn't have all the support files like LICENSE and
  104. # ChangeLog. We're also compiling in a subdirectory, so
  105. # we supply a couple of options to automake.
  106. #
  107. # Note that this package _does_ require some of the support
  108. # files like install-sh, so if you're running aclocal,
  109. # autoconf, and automake for the first time, you'll need to
  110. # supply command line switches --add-missing --copy.
  111. #----------------------------------------------------------------
  112. AUTOMAKE_OPTIONS = foreign
  113. #---------------------------------------------------------------
  114. # tcl/tk scripts to be installed.
  115. #---------------------------------------------------------------
  116. pkglib_SCRIPTS = \
  117. canvas_functions.tcl \
  118. gui.tcl \
  119. gui_build.tcl \
  120. gui_canvas.itcl \
  121. gui_elements.tcl \
  122. gui_help.tcl \
  123. gui_initialize.tcl \
  124. gui_xmission.tcl \
  125. pkgIndex.tcl \
  126. splash.tcl \
  127. style.tcl
  128. #---------------------------------------------------------------
  129. # Data files to be installed
  130. #---------------------------------------------------------------
  131. pkglib_DATA = \
  132. MayoSPPDGlogo.gif \
  133. conductivity.list \
  134. loss_tangent.list \
  135. loss_tangent2.list \
  136. permittivity.list \
  137. permittivity2.list
  138. subdir = .
  139. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  140. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  141. CONFIG_CLEAN_FILES =
  142. SCRIPTS = $(pkglib_SCRIPTS)
  143. DIST_SOURCES =
  144. DATA = $(pkglib_DATA)
  145. DIST_COMMON = ../install-sh Makefile.am Makefile.in aclocal.m4 \
  146. configure configure.ac install-sh missing mkinstalldirs
  147. all: all-am
  148. .SUFFIXES:
  149. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  150. configure.lineno
  151. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  152. cd $(top_srcdir) && \
  153. $(AUTOMAKE) --foreign Makefile
  154. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  155. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  156. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  157. $(SHELL) ./config.status --recheck
  158. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  159. cd $(srcdir) && $(AUTOCONF)
  160. $(ACLOCAL_M4): configure.ac
  161. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  162. pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
  163. install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
  164. @$(NORMAL_INSTALL)
  165. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  166. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  167. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  168. if test -f $$d$$p; then \
  169. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  170. echo " $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f"; \
  171. $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f; \
  172. else :; fi; \
  173. done
  174. uninstall-pkglibSCRIPTS:
  175. @$(NORMAL_UNINSTALL)
  176. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  177. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  178. echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
  179. rm -f $(DESTDIR)$(pkglibdir)/$$f; \
  180. done
  181. uninstall-info-am:
  182. pkglibDATA_INSTALL = $(INSTALL_DATA)
  183. install-pkglibDATA: $(pkglib_DATA)
  184. @$(NORMAL_INSTALL)
  185. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  186. @list='$(pkglib_DATA)'; for p in $$list; do \
  187. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  188. f="`echo $$p | sed -e 's|^.*/||'`"; \
  189. echo " $(pkglibDATA_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f"; \
  190. $(pkglibDATA_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f; \
  191. done
  192. uninstall-pkglibDATA:
  193. @$(NORMAL_UNINSTALL)
  194. @list='$(pkglib_DATA)'; for p in $$list; do \
  195. f="`echo $$p | sed -e 's|^.*/||'`"; \
  196. echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
  197. rm -f $(DESTDIR)$(pkglibdir)/$$f; \
  198. done
  199. tags: TAGS
  200. TAGS:
  201. ctags: CTAGS
  202. CTAGS:
  203. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  204. top_distdir = .
  205. distdir = $(PACKAGE)-$(VERSION)
  206. am__remove_distdir = \
  207. { test ! -d $(distdir) \
  208. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  209. && rm -fr $(distdir); }; }
  210. GZIP_ENV = --best
  211. distuninstallcheck_listfiles = find . -type f -print
  212. distcleancheck_listfiles = find . -type f -print
  213. distdir: $(DISTFILES)
  214. $(am__remove_distdir)
  215. mkdir $(distdir)
  216. $(mkinstalldirs) $(distdir)/..
  217. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  218. list='$(DISTFILES)'; for file in $$list; do \
  219. case $$file in \
  220. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  221. esac; \
  222. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  223. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  224. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  225. dir="/$$dir"; \
  226. $(mkinstalldirs) "$(distdir)$$dir"; \
  227. else \
  228. dir=''; \
  229. fi; \
  230. if test -d $$d/$$file; then \
  231. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  232. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  233. fi; \
  234. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  235. else \
  236. test -f $(distdir)/$$file \
  237. || cp -p $$d/$$file $(distdir)/$$file \
  238. || exit 1; \
  239. fi; \
  240. done
  241. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  242. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  243. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  244. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  245. || chmod -R a+r $(distdir)
  246. dist-gzip: distdir
  247. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  248. $(am__remove_distdir)
  249. dist dist-all: distdir
  250. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  251. $(am__remove_distdir)
  252. # This target untars the dist file and tries a VPATH configuration. Then
  253. # it guarantees that the distribution is self-contained by making another
  254. # tarfile.
  255. distcheck: dist
  256. $(am__remove_distdir)
  257. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  258. chmod -R a-w $(distdir); chmod a+w $(distdir)
  259. mkdir $(distdir)/=build
  260. mkdir $(distdir)/=inst
  261. chmod a-w $(distdir)
  262. dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
  263. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  264. && $(mkinstalldirs) $$dc_destdir \
  265. && cd $(distdir)/=build \
  266. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  267. $(DISTCHECK_CONFIGURE_FLAGS) \
  268. && $(MAKE) $(AM_MAKEFLAGS) \
  269. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  270. && $(MAKE) $(AM_MAKEFLAGS) check \
  271. && $(MAKE) $(AM_MAKEFLAGS) install \
  272. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  273. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  274. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  275. distuninstallcheck \
  276. && chmod -R a-w "$$dc_install_base" \
  277. && ({ $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  278. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  279. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  280. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  281. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  282. && rm -rf "$$dc_destdir" \
  283. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  284. && rm -f $(distdir).tar.gz \
  285. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  286. $(am__remove_distdir)
  287. @echo "$(distdir).tar.gz is ready for distribution" | \
  288. sed 'h;s/./=/g;p;x;p;x'
  289. distuninstallcheck:
  290. cd $(distuninstallcheck_dir) \
  291. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  292. || { echo "ERROR: files left after uninstall:" ; \
  293. if test -n "$(DESTDIR)"; then \
  294. echo " (check DESTDIR support)"; \
  295. fi ; \
  296. $(distuninstallcheck_listfiles) ; \
  297. exit 1; } >&2
  298. distcleancheck: distclean
  299. if test '$(srcdir)' = . ; then \
  300. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  301. exit 1 ; \
  302. fi
  303. test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  304. || { echo "ERROR: files left in build directory after distclean:" ; \
  305. $(distcleancheck_listfiles) ; \
  306. exit 1; } >&2
  307. check-am: all-am
  308. check: check-am
  309. all-am: Makefile $(SCRIPTS) $(DATA)
  310. installdirs:
  311. $(mkinstalldirs) $(DESTDIR)$(pkglibdir) $(DESTDIR)$(pkglibdir)
  312. install: install-am
  313. install-exec: install-exec-am
  314. install-data: install-data-am
  315. uninstall: uninstall-am
  316. install-am: all-am
  317. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  318. installcheck: installcheck-am
  319. install-strip:
  320. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  321. INSTALL_STRIP_FLAG=-s \
  322. `test -z '$(STRIP)' || \
  323. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  324. mostlyclean-generic:
  325. clean-generic:
  326. distclean-generic:
  327. -rm -f Makefile $(CONFIG_CLEAN_FILES)
  328. maintainer-clean-generic:
  329. @echo "This command is intended for maintainers to use"
  330. @echo "it deletes files that may require special tools to rebuild."
  331. clean: clean-am
  332. clean-am: clean-generic mostlyclean-am
  333. distclean: distclean-am
  334. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  335. distclean-am: clean-am distclean-generic
  336. dvi: dvi-am
  337. dvi-am:
  338. info: info-am
  339. info-am:
  340. install-data-am:
  341. install-exec-am: install-pkglibDATA install-pkglibSCRIPTS
  342. install-info: install-info-am
  343. install-man:
  344. installcheck-am:
  345. maintainer-clean: maintainer-clean-am
  346. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  347. -rm -rf autom4te.cache
  348. maintainer-clean-am: distclean-am maintainer-clean-generic
  349. mostlyclean: mostlyclean-am
  350. mostlyclean-am: mostlyclean-generic
  351. pdf: pdf-am
  352. pdf-am:
  353. ps: ps-am
  354. ps-am:
  355. uninstall-am: uninstall-info-am uninstall-pkglibDATA \
  356. uninstall-pkglibSCRIPTS
  357. .PHONY: all all-am check check-am clean clean-generic dist dist-all \
  358. dist-gzip distcheck distclean distclean-generic distcleancheck \
  359. distdir distuninstallcheck dvi dvi-am info info-am install \
  360. install-am install-data install-data-am install-exec \
  361. install-exec-am install-info install-info-am install-man \
  362. install-pkglibDATA install-pkglibSCRIPTS install-strip \
  363. installcheck installcheck-am installdirs maintainer-clean \
  364. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  365. pdf-am ps ps-am uninstall uninstall-am uninstall-info-am \
  366. uninstall-pkglibDATA uninstall-pkglibSCRIPTS
  367. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  368. # Otherwise a system limit (for SysV at least) may be exceeded.
  369. .NOEXPORT: